//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.9.01 (64-bit) 
//Created Time: 2024-01-02 14:14:47
create_clock -name rx_mac_clk -period 8 -waveform {0 4} [get_nets {rx_mac_clk[3]}]
create_clock -name tx_mac_clk -period 8 -waveform {0 4} [get_nets {tx_mac_clk[3]}]
create_clock -name clk_in -period 20 -waveform {0 10} [get_pins {gowin_ibuf_clk_in/I}]
create_clock -name tck_pad -period 50 -waveform {0 25} [get_pins {gw_gao_inst_0/tck_ibuf/I}]
create_generated_clock -name clk_uart -source [get_pins {gowin_ibuf_clk_in/I}] -master_clock clk_in -divide_by 80 -multiply_by 16 [get_pins {u_pll_uart/PLL_inst/CLKOUT0}]
set_false_path -from [get_clocks {clk_uart tck_pad clk_in}] -to [get_clocks {rx_mac_clk tx_mac_clk clk_in}] 
set_false_path -from [get_clocks {rx_mac_clk tx_mac_clk}] -to [get_clocks {clk_uart tck_pad}] 
