//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Tue Dec 26 09:47:06 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	QSGMII_Top your_instance_name(
		.clk_in_i(clk_in_i_i), //input clk_in_i
		.rstn_i(rstn_i_i), //input rstn_i
		.serdes_pcs_tx_clk_i(serdes_pcs_tx_clk_i_i), //input serdes_pcs_tx_clk_i
		.serdes_pcs_rx_clk_i(serdes_pcs_rx_clk_i_i), //input serdes_pcs_rx_clk_i
		.serdes_qpll1_ok_i(serdes_qpll1_ok_i_i), //input serdes_qpll1_ok_i
		.serdes_qpll0_ok_i(serdes_qpll0_ok_i_i), //input serdes_qpll0_ok_i
		.serdes_cpll_ok_i(serdes_cpll_ok_i_i), //input serdes_cpll_ok_i
		.serdes_pma_rx_lock_i(serdes_pma_rx_lock_i_i), //input serdes_pma_rx_lock_i
		.serdes_tx_fifo_afull_i(serdes_tx_fifo_afull_i_i), //input serdes_tx_fifo_afull_i
		.serdes_fabric_ctrl_o(serdes_fabric_ctrl_o_o), //output [42:0] serdes_fabric_ctrl_o
		.serdes_fabric_ctrl_h_o(serdes_fabric_ctrl_h_o_o), //output [42:0] serdes_fabric_ctrl_h_o
		.serdes_fabric_rstn_o(serdes_fabric_rstn_o_o), //output serdes_fabric_rstn_o
		.serdes_fabric_tx_clk_o(serdes_fabric_tx_clk_o_o), //output serdes_fabric_tx_clk_o
		.serdes_fabric_rx_clk_o(serdes_fabric_rx_clk_o_o), //output serdes_fabric_rx_clk_o
		.serdes_pcs_tx_rst_o(serdes_pcs_tx_rst_o_o), //output serdes_pcs_tx_rst_o
		.serdes_pcs_rx_rst_o(serdes_pcs_rx_rst_o_o), //output serdes_pcs_rx_rst_o
		.serdes_fabric_tx_vld_o(serdes_fabric_tx_vld_o_o), //output serdes_fabric_tx_vld_o
		.serdes_rxfifo_aempty_i(serdes_rxfifo_aempty_i_i), //input serdes_rxfifo_aempty_i
		.serdes_rxfifo_rd_en_o(serdes_rxfifo_rd_en_o_o), //output serdes_rxfifo_rd_en_o
		.serdes_rxdata_i(serdes_rxdata_i_i), //input [43:0] serdes_rxdata_i
		.serdes_txdata_o(serdes_txdata_o_o), //output [35:0] serdes_txdata_o
		.signal_detect_ch0_i(signal_detect_ch0_i_i), //input signal_detect_ch0_i
		.sgmii_link_timer_ch0_i(sgmii_link_timer_ch0_i_i), //input [8:0] sgmii_link_timer_ch0_i
		.sgmii_mode_ch0_i(sgmii_mode_ch0_i_i), //input sgmii_mode_ch0_i
		.repeater_mode_ch0_i(repeater_mode_ch0_i_i), //input repeater_mode_ch0_i
		.rx_mac_clk_ch0_o(rx_mac_clk_ch0_o_o), //output rx_mac_clk_ch0_o
		.rx_mac_valid_ch0_o(rx_mac_valid_ch0_o_o), //output rx_mac_valid_ch0_o
		.rx_mac_data_ch0_o(rx_mac_data_ch0_o_o), //output [7:0] rx_mac_data_ch0_o
		.rx_mac_last_ch0_o(rx_mac_last_ch0_o_o), //output rx_mac_last_ch0_o
		.rx_mac_error_ch0_o(rx_mac_error_ch0_o_o), //output rx_mac_error_ch0_o
		.tx_mac_clk_ch0_o(tx_mac_clk_ch0_o_o), //output tx_mac_clk_ch0_o
		.tx_mac_valid_ch0_i(tx_mac_valid_ch0_i_i), //input tx_mac_valid_ch0_i
		.tx_mac_data_ch0_i(tx_mac_data_ch0_i_i), //input [7:0] tx_mac_data_ch0_i
		.tx_mac_last_ch0_i(tx_mac_last_ch0_i_i), //input tx_mac_last_ch0_i
		.tx_mac_error_ch0_i(tx_mac_error_ch0_i_i), //input tx_mac_error_ch0_i
		.tx_mac_ready_ch0_o(tx_mac_ready_ch0_o_o), //output tx_mac_ready_ch0_o
		.tx_collision_ch0_o(tx_collision_ch0_o_o), //output tx_collision_ch0_o
		.tx_retransmit_ch0_o(tx_retransmit_ch0_o_o), //output tx_retransmit_ch0_o
		.rx_fcs_fwd_ena_ch0_i(rx_fcs_fwd_ena_ch0_i_i), //input rx_fcs_fwd_ena_ch0_i
		.rx_jumbo_ena_ch0_i(rx_jumbo_ena_ch0_i_i), //input rx_jumbo_ena_ch0_i
		.rx_statistics_valid_ch0_o(rx_statistics_valid_ch0_o_o), //output rx_statistics_valid_ch0_o
		.rx_statistics_vector_ch0_o(rx_statistics_vector_ch0_o_o), //output [26:0] rx_statistics_vector_ch0_o
		.rx_pause_req_ch0_o(rx_pause_req_ch0_o_o), //output rx_pause_req_ch0_o
		.rx_pause_val_ch0_o(rx_pause_val_ch0_o_o), //output [15:0] rx_pause_val_ch0_o
		.tx_pause_req_ch0_i(tx_pause_req_ch0_i_i), //input tx_pause_req_ch0_i
		.tx_pause_val_ch0_i(tx_pause_val_ch0_i_i), //input [15:0] tx_pause_val_ch0_i
		.tx_pause_source_addr_ch0_i(tx_pause_source_addr_ch0_i_i), //input [47:0] tx_pause_source_addr_ch0_i
		.tx_ifg_delay_ena_ch0_i(tx_ifg_delay_ena_ch0_i_i), //input tx_ifg_delay_ena_ch0_i
		.tx_ifg_delay_ch0_i(tx_ifg_delay_ch0_i_i), //input [7:0] tx_ifg_delay_ch0_i
		.tx_fcs_fwd_ena_ch0_i(tx_fcs_fwd_ena_ch0_i_i), //input tx_fcs_fwd_ena_ch0_i
		.tx_statistics_valid_ch0_o(tx_statistics_valid_ch0_o_o), //output tx_statistics_valid_ch0_o
		.tx_statistics_vector_ch0_o(tx_statistics_vector_ch0_o_o), //output [28:0] tx_statistics_vector_ch0_o
		.miim_hs_clk_ch0_i(miim_hs_clk_ch0_i_i), //input miim_hs_clk_ch0_i
		.miim_phyad_ch0_i(miim_phyad_ch0_i_i), //input [4:0] miim_phyad_ch0_i
		.miim_regad_ch0_i(miim_regad_ch0_i_i), //input [4:0] miim_regad_ch0_i
		.miim_wrdata_ch0_i(miim_wrdata_ch0_i_i), //input [15:0] miim_wrdata_ch0_i
		.miim_wren_ch0_i(miim_wren_ch0_i_i), //input miim_wren_ch0_i
		.miim_rden_ch0_i(miim_rden_ch0_i_i), //input miim_rden_ch0_i
		.miim_rddata_ch0_o(miim_rddata_ch0_o_o), //output [15:0] miim_rddata_ch0_o
		.miim_rddata_valid_ch0_o(miim_rddata_valid_ch0_o_o), //output miim_rddata_valid_ch0_o
		.miim_busy_ch0_o(miim_busy_ch0_o_o), //output miim_busy_ch0_o
		.mdc_ch0_o(mdc_ch0_o_o), //output mdc_ch0_o
		.mdio_in_ch0_i(mdio_in_ch0_i_i), //input mdio_in_ch0_i
		.mdio_out_ch0_o(mdio_out_ch0_o_o), //output mdio_out_ch0_o
		.mdio_oen_ch0_o(mdio_oen_ch0_o_o), //output mdio_oen_ch0_o
		.configuration_vector_ch0_i(configuration_vector_ch0_i_i), //input [14:0] configuration_vector_ch0_i
		.status_vector_ch0_o(status_vector_ch0_o_o), //output [10:0] status_vector_ch0_o
		.link_partner_ability_base_ch0_o(link_partner_ability_base_ch0_o_o), //output [15:0] link_partner_ability_base_ch0_o
		.signal_detect_ch1_i(signal_detect_ch1_i_i), //input signal_detect_ch1_i
		.sgmii_link_timer_ch1_i(sgmii_link_timer_ch1_i_i), //input [8:0] sgmii_link_timer_ch1_i
		.sgmii_mode_ch1_i(sgmii_mode_ch1_i_i), //input sgmii_mode_ch1_i
		.repeater_mode_ch1_i(repeater_mode_ch1_i_i), //input repeater_mode_ch1_i
		.rx_mac_clk_ch1_o(rx_mac_clk_ch1_o_o), //output rx_mac_clk_ch1_o
		.rx_mac_valid_ch1_o(rx_mac_valid_ch1_o_o), //output rx_mac_valid_ch1_o
		.rx_mac_data_ch1_o(rx_mac_data_ch1_o_o), //output [7:0] rx_mac_data_ch1_o
		.rx_mac_last_ch1_o(rx_mac_last_ch1_o_o), //output rx_mac_last_ch1_o
		.rx_mac_error_ch1_o(rx_mac_error_ch1_o_o), //output rx_mac_error_ch1_o
		.tx_mac_clk_ch1_o(tx_mac_clk_ch1_o_o), //output tx_mac_clk_ch1_o
		.tx_mac_valid_ch1_i(tx_mac_valid_ch1_i_i), //input tx_mac_valid_ch1_i
		.tx_mac_data_ch1_i(tx_mac_data_ch1_i_i), //input [7:0] tx_mac_data_ch1_i
		.tx_mac_last_ch1_i(tx_mac_last_ch1_i_i), //input tx_mac_last_ch1_i
		.tx_mac_error_ch1_i(tx_mac_error_ch1_i_i), //input tx_mac_error_ch1_i
		.tx_mac_ready_ch1_o(tx_mac_ready_ch1_o_o), //output tx_mac_ready_ch1_o
		.tx_collision_ch1_o(tx_collision_ch1_o_o), //output tx_collision_ch1_o
		.tx_retransmit_ch1_o(tx_retransmit_ch1_o_o), //output tx_retransmit_ch1_o
		.rx_fcs_fwd_ena_ch1_i(rx_fcs_fwd_ena_ch1_i_i), //input rx_fcs_fwd_ena_ch1_i
		.rx_jumbo_ena_ch1_i(rx_jumbo_ena_ch1_i_i), //input rx_jumbo_ena_ch1_i
		.rx_statistics_valid_ch1_o(rx_statistics_valid_ch1_o_o), //output rx_statistics_valid_ch1_o
		.rx_statistics_vector_ch1_o(rx_statistics_vector_ch1_o_o), //output [26:0] rx_statistics_vector_ch1_o
		.rx_pause_req_ch1_o(rx_pause_req_ch1_o_o), //output rx_pause_req_ch1_o
		.rx_pause_val_ch1_o(rx_pause_val_ch1_o_o), //output [15:0] rx_pause_val_ch1_o
		.tx_pause_req_ch1_i(tx_pause_req_ch1_i_i), //input tx_pause_req_ch1_i
		.tx_pause_val_ch1_i(tx_pause_val_ch1_i_i), //input [15:0] tx_pause_val_ch1_i
		.tx_pause_source_addr_ch1_i(tx_pause_source_addr_ch1_i_i), //input [47:0] tx_pause_source_addr_ch1_i
		.tx_ifg_delay_ena_ch1_i(tx_ifg_delay_ena_ch1_i_i), //input tx_ifg_delay_ena_ch1_i
		.tx_ifg_delay_ch1_i(tx_ifg_delay_ch1_i_i), //input [7:0] tx_ifg_delay_ch1_i
		.tx_fcs_fwd_ena_ch1_i(tx_fcs_fwd_ena_ch1_i_i), //input tx_fcs_fwd_ena_ch1_i
		.tx_statistics_valid_ch1_o(tx_statistics_valid_ch1_o_o), //output tx_statistics_valid_ch1_o
		.tx_statistics_vector_ch1_o(tx_statistics_vector_ch1_o_o), //output [28:0] tx_statistics_vector_ch1_o
		.miim_hs_clk_ch1_i(miim_hs_clk_ch1_i_i), //input miim_hs_clk_ch1_i
		.miim_phyad_ch1_i(miim_phyad_ch1_i_i), //input [4:0] miim_phyad_ch1_i
		.miim_regad_ch1_i(miim_regad_ch1_i_i), //input [4:0] miim_regad_ch1_i
		.miim_wrdata_ch1_i(miim_wrdata_ch1_i_i), //input [15:0] miim_wrdata_ch1_i
		.miim_wren_ch1_i(miim_wren_ch1_i_i), //input miim_wren_ch1_i
		.miim_rden_ch1_i(miim_rden_ch1_i_i), //input miim_rden_ch1_i
		.miim_rddata_ch1_o(miim_rddata_ch1_o_o), //output [15:0] miim_rddata_ch1_o
		.miim_rddata_valid_ch1_o(miim_rddata_valid_ch1_o_o), //output miim_rddata_valid_ch1_o
		.miim_busy_ch1_o(miim_busy_ch1_o_o), //output miim_busy_ch1_o
		.mdc_ch1_o(mdc_ch1_o_o), //output mdc_ch1_o
		.mdio_in_ch1_i(mdio_in_ch1_i_i), //input mdio_in_ch1_i
		.mdio_out_ch1_o(mdio_out_ch1_o_o), //output mdio_out_ch1_o
		.mdio_oen_ch1_o(mdio_oen_ch1_o_o), //output mdio_oen_ch1_o
		.configuration_vector_ch1_i(configuration_vector_ch1_i_i), //input [14:0] configuration_vector_ch1_i
		.status_vector_ch1_o(status_vector_ch1_o_o), //output [10:0] status_vector_ch1_o
		.link_partner_ability_base_ch1_o(link_partner_ability_base_ch1_o_o), //output [15:0] link_partner_ability_base_ch1_o
		.signal_detect_ch2_i(signal_detect_ch2_i_i), //input signal_detect_ch2_i
		.sgmii_link_timer_ch2_i(sgmii_link_timer_ch2_i_i), //input [8:0] sgmii_link_timer_ch2_i
		.sgmii_mode_ch2_i(sgmii_mode_ch2_i_i), //input sgmii_mode_ch2_i
		.repeater_mode_ch2_i(repeater_mode_ch2_i_i), //input repeater_mode_ch2_i
		.rx_mac_clk_ch2_o(rx_mac_clk_ch2_o_o), //output rx_mac_clk_ch2_o
		.rx_mac_valid_ch2_o(rx_mac_valid_ch2_o_o), //output rx_mac_valid_ch2_o
		.rx_mac_data_ch2_o(rx_mac_data_ch2_o_o), //output [7:0] rx_mac_data_ch2_o
		.rx_mac_last_ch2_o(rx_mac_last_ch2_o_o), //output rx_mac_last_ch2_o
		.rx_mac_error_ch2_o(rx_mac_error_ch2_o_o), //output rx_mac_error_ch2_o
		.tx_mac_clk_ch2_o(tx_mac_clk_ch2_o_o), //output tx_mac_clk_ch2_o
		.tx_mac_valid_ch2_i(tx_mac_valid_ch2_i_i), //input tx_mac_valid_ch2_i
		.tx_mac_data_ch2_i(tx_mac_data_ch2_i_i), //input [7:0] tx_mac_data_ch2_i
		.tx_mac_last_ch2_i(tx_mac_last_ch2_i_i), //input tx_mac_last_ch2_i
		.tx_mac_error_ch2_i(tx_mac_error_ch2_i_i), //input tx_mac_error_ch2_i
		.tx_mac_ready_ch2_o(tx_mac_ready_ch2_o_o), //output tx_mac_ready_ch2_o
		.tx_collision_ch2_o(tx_collision_ch2_o_o), //output tx_collision_ch2_o
		.tx_retransmit_ch2_o(tx_retransmit_ch2_o_o), //output tx_retransmit_ch2_o
		.rx_fcs_fwd_ena_ch2_i(rx_fcs_fwd_ena_ch2_i_i), //input rx_fcs_fwd_ena_ch2_i
		.rx_jumbo_ena_ch2_i(rx_jumbo_ena_ch2_i_i), //input rx_jumbo_ena_ch2_i
		.rx_statistics_valid_ch2_o(rx_statistics_valid_ch2_o_o), //output rx_statistics_valid_ch2_o
		.rx_statistics_vector_ch2_o(rx_statistics_vector_ch2_o_o), //output [26:0] rx_statistics_vector_ch2_o
		.rx_pause_req_ch2_o(rx_pause_req_ch2_o_o), //output rx_pause_req_ch2_o
		.rx_pause_val_ch2_o(rx_pause_val_ch2_o_o), //output [15:0] rx_pause_val_ch2_o
		.tx_pause_req_ch2_i(tx_pause_req_ch2_i_i), //input tx_pause_req_ch2_i
		.tx_pause_val_ch2_i(tx_pause_val_ch2_i_i), //input [15:0] tx_pause_val_ch2_i
		.tx_pause_source_addr_ch2_i(tx_pause_source_addr_ch2_i_i), //input [47:0] tx_pause_source_addr_ch2_i
		.tx_ifg_delay_ena_ch2_i(tx_ifg_delay_ena_ch2_i_i), //input tx_ifg_delay_ena_ch2_i
		.tx_ifg_delay_ch2_i(tx_ifg_delay_ch2_i_i), //input [7:0] tx_ifg_delay_ch2_i
		.tx_fcs_fwd_ena_ch2_i(tx_fcs_fwd_ena_ch2_i_i), //input tx_fcs_fwd_ena_ch2_i
		.tx_statistics_valid_ch2_o(tx_statistics_valid_ch2_o_o), //output tx_statistics_valid_ch2_o
		.tx_statistics_vector_ch2_o(tx_statistics_vector_ch2_o_o), //output [28:0] tx_statistics_vector_ch2_o
		.miim_hs_clk_ch2_i(miim_hs_clk_ch2_i_i), //input miim_hs_clk_ch2_i
		.miim_phyad_ch2_i(miim_phyad_ch2_i_i), //input [4:0] miim_phyad_ch2_i
		.miim_regad_ch2_i(miim_regad_ch2_i_i), //input [4:0] miim_regad_ch2_i
		.miim_wrdata_ch2_i(miim_wrdata_ch2_i_i), //input [15:0] miim_wrdata_ch2_i
		.miim_wren_ch2_i(miim_wren_ch2_i_i), //input miim_wren_ch2_i
		.miim_rden_ch2_i(miim_rden_ch2_i_i), //input miim_rden_ch2_i
		.miim_rddata_ch2_o(miim_rddata_ch2_o_o), //output [15:0] miim_rddata_ch2_o
		.miim_rddata_valid_ch2_o(miim_rddata_valid_ch2_o_o), //output miim_rddata_valid_ch2_o
		.miim_busy_ch2_o(miim_busy_ch2_o_o), //output miim_busy_ch2_o
		.mdc_ch2_o(mdc_ch2_o_o), //output mdc_ch2_o
		.mdio_in_ch2_i(mdio_in_ch2_i_i), //input mdio_in_ch2_i
		.mdio_out_ch2_o(mdio_out_ch2_o_o), //output mdio_out_ch2_o
		.mdio_oen_ch2_o(mdio_oen_ch2_o_o), //output mdio_oen_ch2_o
		.configuration_vector_ch2_i(configuration_vector_ch2_i_i), //input [14:0] configuration_vector_ch2_i
		.status_vector_ch2_o(status_vector_ch2_o_o), //output [10:0] status_vector_ch2_o
		.link_partner_ability_base_ch2_o(link_partner_ability_base_ch2_o_o), //output [15:0] link_partner_ability_base_ch2_o
		.signal_detect_ch3_i(signal_detect_ch3_i_i), //input signal_detect_ch3_i
		.sgmii_link_timer_ch3_i(sgmii_link_timer_ch3_i_i), //input [8:0] sgmii_link_timer_ch3_i
		.sgmii_mode_ch3_i(sgmii_mode_ch3_i_i), //input sgmii_mode_ch3_i
		.repeater_mode_ch3_i(repeater_mode_ch3_i_i), //input repeater_mode_ch3_i
		.rx_mac_clk_ch3_o(rx_mac_clk_ch3_o_o), //output rx_mac_clk_ch3_o
		.rx_mac_valid_ch3_o(rx_mac_valid_ch3_o_o), //output rx_mac_valid_ch3_o
		.rx_mac_data_ch3_o(rx_mac_data_ch3_o_o), //output [7:0] rx_mac_data_ch3_o
		.rx_mac_last_ch3_o(rx_mac_last_ch3_o_o), //output rx_mac_last_ch3_o
		.rx_mac_error_ch3_o(rx_mac_error_ch3_o_o), //output rx_mac_error_ch3_o
		.tx_mac_clk_ch3_o(tx_mac_clk_ch3_o_o), //output tx_mac_clk_ch3_o
		.tx_mac_valid_ch3_i(tx_mac_valid_ch3_i_i), //input tx_mac_valid_ch3_i
		.tx_mac_data_ch3_i(tx_mac_data_ch3_i_i), //input [7:0] tx_mac_data_ch3_i
		.tx_mac_last_ch3_i(tx_mac_last_ch3_i_i), //input tx_mac_last_ch3_i
		.tx_mac_error_ch3_i(tx_mac_error_ch3_i_i), //input tx_mac_error_ch3_i
		.tx_mac_ready_ch3_o(tx_mac_ready_ch3_o_o), //output tx_mac_ready_ch3_o
		.tx_collision_ch3_o(tx_collision_ch3_o_o), //output tx_collision_ch3_o
		.tx_retransmit_ch3_o(tx_retransmit_ch3_o_o), //output tx_retransmit_ch3_o
		.rx_fcs_fwd_ena_ch3_i(rx_fcs_fwd_ena_ch3_i_i), //input rx_fcs_fwd_ena_ch3_i
		.rx_jumbo_ena_ch3_i(rx_jumbo_ena_ch3_i_i), //input rx_jumbo_ena_ch3_i
		.rx_statistics_valid_ch3_o(rx_statistics_valid_ch3_o_o), //output rx_statistics_valid_ch3_o
		.rx_statistics_vector_ch3_o(rx_statistics_vector_ch3_o_o), //output [26:0] rx_statistics_vector_ch3_o
		.rx_pause_req_ch3_o(rx_pause_req_ch3_o_o), //output rx_pause_req_ch3_o
		.rx_pause_val_ch3_o(rx_pause_val_ch3_o_o), //output [15:0] rx_pause_val_ch3_o
		.tx_pause_req_ch3_i(tx_pause_req_ch3_i_i), //input tx_pause_req_ch3_i
		.tx_pause_val_ch3_i(tx_pause_val_ch3_i_i), //input [15:0] tx_pause_val_ch3_i
		.tx_pause_source_addr_ch3_i(tx_pause_source_addr_ch3_i_i), //input [47:0] tx_pause_source_addr_ch3_i
		.tx_ifg_delay_ena_ch3_i(tx_ifg_delay_ena_ch3_i_i), //input tx_ifg_delay_ena_ch3_i
		.tx_ifg_delay_ch3_i(tx_ifg_delay_ch3_i_i), //input [7:0] tx_ifg_delay_ch3_i
		.tx_fcs_fwd_ena_ch3_i(tx_fcs_fwd_ena_ch3_i_i), //input tx_fcs_fwd_ena_ch3_i
		.tx_statistics_valid_ch3_o(tx_statistics_valid_ch3_o_o), //output tx_statistics_valid_ch3_o
		.tx_statistics_vector_ch3_o(tx_statistics_vector_ch3_o_o), //output [28:0] tx_statistics_vector_ch3_o
		.miim_hs_clk_ch3_i(miim_hs_clk_ch3_i_i), //input miim_hs_clk_ch3_i
		.miim_phyad_ch3_i(miim_phyad_ch3_i_i), //input [4:0] miim_phyad_ch3_i
		.miim_regad_ch3_i(miim_regad_ch3_i_i), //input [4:0] miim_regad_ch3_i
		.miim_wrdata_ch3_i(miim_wrdata_ch3_i_i), //input [15:0] miim_wrdata_ch3_i
		.miim_wren_ch3_i(miim_wren_ch3_i_i), //input miim_wren_ch3_i
		.miim_rden_ch3_i(miim_rden_ch3_i_i), //input miim_rden_ch3_i
		.miim_rddata_ch3_o(miim_rddata_ch3_o_o), //output [15:0] miim_rddata_ch3_o
		.miim_rddata_valid_ch3_o(miim_rddata_valid_ch3_o_o), //output miim_rddata_valid_ch3_o
		.miim_busy_ch3_o(miim_busy_ch3_o_o), //output miim_busy_ch3_o
		.mdc_ch3_o(mdc_ch3_o_o), //output mdc_ch3_o
		.mdio_in_ch3_i(mdio_in_ch3_i_i), //input mdio_in_ch3_i
		.mdio_out_ch3_o(mdio_out_ch3_o_o), //output mdio_out_ch3_o
		.mdio_oen_ch3_o(mdio_oen_ch3_o_o), //output mdio_oen_ch3_o
		.configuration_vector_ch3_i(configuration_vector_ch3_i_i), //input [14:0] configuration_vector_ch3_i
		.status_vector_ch3_o(status_vector_ch3_o_o), //output [10:0] status_vector_ch3_o
		.link_partner_ability_base_ch3_o(link_partner_ability_base_ch3_o_o) //output [15:0] link_partner_ability_base_ch3_o
	);

//--------Copy end-------------------
