//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Tue Dec 26 09:47:08 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    SerDes_Top your_instance_name(
        .QSGMII_Top_rx_mac_clk_ch0_o(QSGMII_Top_rx_mac_clk_ch0_o_o), //output QSGMII_Top_rx_mac_clk_ch0_o
        .QSGMII_Top_rx_mac_valid_ch0_o(QSGMII_Top_rx_mac_valid_ch0_o_o), //output QSGMII_Top_rx_mac_valid_ch0_o
        .QSGMII_Top_rx_mac_data_ch0_o(QSGMII_Top_rx_mac_data_ch0_o_o), //output [7:0] QSGMII_Top_rx_mac_data_ch0_o
        .QSGMII_Top_rx_mac_last_ch0_o(QSGMII_Top_rx_mac_last_ch0_o_o), //output QSGMII_Top_rx_mac_last_ch0_o
        .QSGMII_Top_rx_mac_error_ch0_o(QSGMII_Top_rx_mac_error_ch0_o_o), //output QSGMII_Top_rx_mac_error_ch0_o
        .QSGMII_Top_tx_mac_clk_ch0_o(QSGMII_Top_tx_mac_clk_ch0_o_o), //output QSGMII_Top_tx_mac_clk_ch0_o
        .QSGMII_Top_tx_mac_ready_ch0_o(QSGMII_Top_tx_mac_ready_ch0_o_o), //output QSGMII_Top_tx_mac_ready_ch0_o
        .QSGMII_Top_tx_collision_ch0_o(QSGMII_Top_tx_collision_ch0_o_o), //output QSGMII_Top_tx_collision_ch0_o
        .QSGMII_Top_tx_retransmit_ch0_o(QSGMII_Top_tx_retransmit_ch0_o_o), //output QSGMII_Top_tx_retransmit_ch0_o
        .QSGMII_Top_rx_statistics_valid_ch0_o(QSGMII_Top_rx_statistics_valid_ch0_o_o), //output QSGMII_Top_rx_statistics_valid_ch0_o
        .QSGMII_Top_rx_statistics_vector_ch0_o(QSGMII_Top_rx_statistics_vector_ch0_o_o), //output [26:0] QSGMII_Top_rx_statistics_vector_ch0_o
        .QSGMII_Top_rx_pause_req_ch0_o(QSGMII_Top_rx_pause_req_ch0_o_o), //output QSGMII_Top_rx_pause_req_ch0_o
        .QSGMII_Top_rx_pause_val_ch0_o(QSGMII_Top_rx_pause_val_ch0_o_o), //output [15:0] QSGMII_Top_rx_pause_val_ch0_o
        .QSGMII_Top_tx_statistics_valid_ch0_o(QSGMII_Top_tx_statistics_valid_ch0_o_o), //output QSGMII_Top_tx_statistics_valid_ch0_o
        .QSGMII_Top_tx_statistics_vector_ch0_o(QSGMII_Top_tx_statistics_vector_ch0_o_o), //output [28:0] QSGMII_Top_tx_statistics_vector_ch0_o
        .QSGMII_Top_miim_rddata_ch0_o(QSGMII_Top_miim_rddata_ch0_o_o), //output [15:0] QSGMII_Top_miim_rddata_ch0_o
        .QSGMII_Top_miim_rddata_valid_ch0_o(QSGMII_Top_miim_rddata_valid_ch0_o_o), //output QSGMII_Top_miim_rddata_valid_ch0_o
        .QSGMII_Top_miim_busy_ch0_o(QSGMII_Top_miim_busy_ch0_o_o), //output QSGMII_Top_miim_busy_ch0_o
        .QSGMII_Top_mdc_ch0_o(QSGMII_Top_mdc_ch0_o_o), //output QSGMII_Top_mdc_ch0_o
        .QSGMII_Top_mdio_out_ch0_o(QSGMII_Top_mdio_out_ch0_o_o), //output QSGMII_Top_mdio_out_ch0_o
        .QSGMII_Top_mdio_oen_ch0_o(QSGMII_Top_mdio_oen_ch0_o_o), //output QSGMII_Top_mdio_oen_ch0_o
        .QSGMII_Top_status_vector_ch0_o(QSGMII_Top_status_vector_ch0_o_o), //output [10:0] QSGMII_Top_status_vector_ch0_o
        .QSGMII_Top_link_partner_ability_base_ch0_o(QSGMII_Top_link_partner_ability_base_ch0_o_o), //output [15:0] QSGMII_Top_link_partner_ability_base_ch0_o
        .QSGMII_Top_rx_mac_clk_ch1_o(QSGMII_Top_rx_mac_clk_ch1_o_o), //output QSGMII_Top_rx_mac_clk_ch1_o
        .QSGMII_Top_rx_mac_valid_ch1_o(QSGMII_Top_rx_mac_valid_ch1_o_o), //output QSGMII_Top_rx_mac_valid_ch1_o
        .QSGMII_Top_rx_mac_data_ch1_o(QSGMII_Top_rx_mac_data_ch1_o_o), //output [7:0] QSGMII_Top_rx_mac_data_ch1_o
        .QSGMII_Top_rx_mac_last_ch1_o(QSGMII_Top_rx_mac_last_ch1_o_o), //output QSGMII_Top_rx_mac_last_ch1_o
        .QSGMII_Top_rx_mac_error_ch1_o(QSGMII_Top_rx_mac_error_ch1_o_o), //output QSGMII_Top_rx_mac_error_ch1_o
        .QSGMII_Top_tx_mac_clk_ch1_o(QSGMII_Top_tx_mac_clk_ch1_o_o), //output QSGMII_Top_tx_mac_clk_ch1_o
        .QSGMII_Top_tx_mac_ready_ch1_o(QSGMII_Top_tx_mac_ready_ch1_o_o), //output QSGMII_Top_tx_mac_ready_ch1_o
        .QSGMII_Top_tx_collision_ch1_o(QSGMII_Top_tx_collision_ch1_o_o), //output QSGMII_Top_tx_collision_ch1_o
        .QSGMII_Top_tx_retransmit_ch1_o(QSGMII_Top_tx_retransmit_ch1_o_o), //output QSGMII_Top_tx_retransmit_ch1_o
        .QSGMII_Top_rx_statistics_valid_ch1_o(QSGMII_Top_rx_statistics_valid_ch1_o_o), //output QSGMII_Top_rx_statistics_valid_ch1_o
        .QSGMII_Top_rx_statistics_vector_ch1_o(QSGMII_Top_rx_statistics_vector_ch1_o_o), //output [26:0] QSGMII_Top_rx_statistics_vector_ch1_o
        .QSGMII_Top_rx_pause_req_ch1_o(QSGMII_Top_rx_pause_req_ch1_o_o), //output QSGMII_Top_rx_pause_req_ch1_o
        .QSGMII_Top_rx_pause_val_ch1_o(QSGMII_Top_rx_pause_val_ch1_o_o), //output [15:0] QSGMII_Top_rx_pause_val_ch1_o
        .QSGMII_Top_tx_statistics_valid_ch1_o(QSGMII_Top_tx_statistics_valid_ch1_o_o), //output QSGMII_Top_tx_statistics_valid_ch1_o
        .QSGMII_Top_tx_statistics_vector_ch1_o(QSGMII_Top_tx_statistics_vector_ch1_o_o), //output [28:0] QSGMII_Top_tx_statistics_vector_ch1_o
        .QSGMII_Top_miim_rddata_ch1_o(QSGMII_Top_miim_rddata_ch1_o_o), //output [15:0] QSGMII_Top_miim_rddata_ch1_o
        .QSGMII_Top_miim_rddata_valid_ch1_o(QSGMII_Top_miim_rddata_valid_ch1_o_o), //output QSGMII_Top_miim_rddata_valid_ch1_o
        .QSGMII_Top_miim_busy_ch1_o(QSGMII_Top_miim_busy_ch1_o_o), //output QSGMII_Top_miim_busy_ch1_o
        .QSGMII_Top_mdc_ch1_o(QSGMII_Top_mdc_ch1_o_o), //output QSGMII_Top_mdc_ch1_o
        .QSGMII_Top_mdio_out_ch1_o(QSGMII_Top_mdio_out_ch1_o_o), //output QSGMII_Top_mdio_out_ch1_o
        .QSGMII_Top_mdio_oen_ch1_o(QSGMII_Top_mdio_oen_ch1_o_o), //output QSGMII_Top_mdio_oen_ch1_o
        .QSGMII_Top_status_vector_ch1_o(QSGMII_Top_status_vector_ch1_o_o), //output [10:0] QSGMII_Top_status_vector_ch1_o
        .QSGMII_Top_link_partner_ability_base_ch1_o(QSGMII_Top_link_partner_ability_base_ch1_o_o), //output [15:0] QSGMII_Top_link_partner_ability_base_ch1_o
        .QSGMII_Top_rx_mac_clk_ch2_o(QSGMII_Top_rx_mac_clk_ch2_o_o), //output QSGMII_Top_rx_mac_clk_ch2_o
        .QSGMII_Top_rx_mac_valid_ch2_o(QSGMII_Top_rx_mac_valid_ch2_o_o), //output QSGMII_Top_rx_mac_valid_ch2_o
        .QSGMII_Top_rx_mac_data_ch2_o(QSGMII_Top_rx_mac_data_ch2_o_o), //output [7:0] QSGMII_Top_rx_mac_data_ch2_o
        .QSGMII_Top_rx_mac_last_ch2_o(QSGMII_Top_rx_mac_last_ch2_o_o), //output QSGMII_Top_rx_mac_last_ch2_o
        .QSGMII_Top_rx_mac_error_ch2_o(QSGMII_Top_rx_mac_error_ch2_o_o), //output QSGMII_Top_rx_mac_error_ch2_o
        .QSGMII_Top_tx_mac_clk_ch2_o(QSGMII_Top_tx_mac_clk_ch2_o_o), //output QSGMII_Top_tx_mac_clk_ch2_o
        .QSGMII_Top_tx_mac_ready_ch2_o(QSGMII_Top_tx_mac_ready_ch2_o_o), //output QSGMII_Top_tx_mac_ready_ch2_o
        .QSGMII_Top_tx_collision_ch2_o(QSGMII_Top_tx_collision_ch2_o_o), //output QSGMII_Top_tx_collision_ch2_o
        .QSGMII_Top_tx_retransmit_ch2_o(QSGMII_Top_tx_retransmit_ch2_o_o), //output QSGMII_Top_tx_retransmit_ch2_o
        .QSGMII_Top_rx_statistics_valid_ch2_o(QSGMII_Top_rx_statistics_valid_ch2_o_o), //output QSGMII_Top_rx_statistics_valid_ch2_o
        .QSGMII_Top_rx_statistics_vector_ch2_o(QSGMII_Top_rx_statistics_vector_ch2_o_o), //output [26:0] QSGMII_Top_rx_statistics_vector_ch2_o
        .QSGMII_Top_rx_pause_req_ch2_o(QSGMII_Top_rx_pause_req_ch2_o_o), //output QSGMII_Top_rx_pause_req_ch2_o
        .QSGMII_Top_rx_pause_val_ch2_o(QSGMII_Top_rx_pause_val_ch2_o_o), //output [15:0] QSGMII_Top_rx_pause_val_ch2_o
        .QSGMII_Top_tx_statistics_valid_ch2_o(QSGMII_Top_tx_statistics_valid_ch2_o_o), //output QSGMII_Top_tx_statistics_valid_ch2_o
        .QSGMII_Top_tx_statistics_vector_ch2_o(QSGMII_Top_tx_statistics_vector_ch2_o_o), //output [28:0] QSGMII_Top_tx_statistics_vector_ch2_o
        .QSGMII_Top_miim_rddata_ch2_o(QSGMII_Top_miim_rddata_ch2_o_o), //output [15:0] QSGMII_Top_miim_rddata_ch2_o
        .QSGMII_Top_miim_rddata_valid_ch2_o(QSGMII_Top_miim_rddata_valid_ch2_o_o), //output QSGMII_Top_miim_rddata_valid_ch2_o
        .QSGMII_Top_miim_busy_ch2_o(QSGMII_Top_miim_busy_ch2_o_o), //output QSGMII_Top_miim_busy_ch2_o
        .QSGMII_Top_mdc_ch2_o(QSGMII_Top_mdc_ch2_o_o), //output QSGMII_Top_mdc_ch2_o
        .QSGMII_Top_mdio_out_ch2_o(QSGMII_Top_mdio_out_ch2_o_o), //output QSGMII_Top_mdio_out_ch2_o
        .QSGMII_Top_mdio_oen_ch2_o(QSGMII_Top_mdio_oen_ch2_o_o), //output QSGMII_Top_mdio_oen_ch2_o
        .QSGMII_Top_status_vector_ch2_o(QSGMII_Top_status_vector_ch2_o_o), //output [10:0] QSGMII_Top_status_vector_ch2_o
        .QSGMII_Top_link_partner_ability_base_ch2_o(QSGMII_Top_link_partner_ability_base_ch2_o_o), //output [15:0] QSGMII_Top_link_partner_ability_base_ch2_o
        .QSGMII_Top_rx_mac_clk_ch3_o(QSGMII_Top_rx_mac_clk_ch3_o_o), //output QSGMII_Top_rx_mac_clk_ch3_o
        .QSGMII_Top_rx_mac_valid_ch3_o(QSGMII_Top_rx_mac_valid_ch3_o_o), //output QSGMII_Top_rx_mac_valid_ch3_o
        .QSGMII_Top_rx_mac_data_ch3_o(QSGMII_Top_rx_mac_data_ch3_o_o), //output [7:0] QSGMII_Top_rx_mac_data_ch3_o
        .QSGMII_Top_rx_mac_last_ch3_o(QSGMII_Top_rx_mac_last_ch3_o_o), //output QSGMII_Top_rx_mac_last_ch3_o
        .QSGMII_Top_rx_mac_error_ch3_o(QSGMII_Top_rx_mac_error_ch3_o_o), //output QSGMII_Top_rx_mac_error_ch3_o
        .QSGMII_Top_tx_mac_clk_ch3_o(QSGMII_Top_tx_mac_clk_ch3_o_o), //output QSGMII_Top_tx_mac_clk_ch3_o
        .QSGMII_Top_tx_mac_ready_ch3_o(QSGMII_Top_tx_mac_ready_ch3_o_o), //output QSGMII_Top_tx_mac_ready_ch3_o
        .QSGMII_Top_tx_collision_ch3_o(QSGMII_Top_tx_collision_ch3_o_o), //output QSGMII_Top_tx_collision_ch3_o
        .QSGMII_Top_tx_retransmit_ch3_o(QSGMII_Top_tx_retransmit_ch3_o_o), //output QSGMII_Top_tx_retransmit_ch3_o
        .QSGMII_Top_rx_statistics_valid_ch3_o(QSGMII_Top_rx_statistics_valid_ch3_o_o), //output QSGMII_Top_rx_statistics_valid_ch3_o
        .QSGMII_Top_rx_statistics_vector_ch3_o(QSGMII_Top_rx_statistics_vector_ch3_o_o), //output [26:0] QSGMII_Top_rx_statistics_vector_ch3_o
        .QSGMII_Top_rx_pause_req_ch3_o(QSGMII_Top_rx_pause_req_ch3_o_o), //output QSGMII_Top_rx_pause_req_ch3_o
        .QSGMII_Top_rx_pause_val_ch3_o(QSGMII_Top_rx_pause_val_ch3_o_o), //output [15:0] QSGMII_Top_rx_pause_val_ch3_o
        .QSGMII_Top_tx_statistics_valid_ch3_o(QSGMII_Top_tx_statistics_valid_ch3_o_o), //output QSGMII_Top_tx_statistics_valid_ch3_o
        .QSGMII_Top_tx_statistics_vector_ch3_o(QSGMII_Top_tx_statistics_vector_ch3_o_o), //output [28:0] QSGMII_Top_tx_statistics_vector_ch3_o
        .QSGMII_Top_miim_rddata_ch3_o(QSGMII_Top_miim_rddata_ch3_o_o), //output [15:0] QSGMII_Top_miim_rddata_ch3_o
        .QSGMII_Top_miim_rddata_valid_ch3_o(QSGMII_Top_miim_rddata_valid_ch3_o_o), //output QSGMII_Top_miim_rddata_valid_ch3_o
        .QSGMII_Top_miim_busy_ch3_o(QSGMII_Top_miim_busy_ch3_o_o), //output QSGMII_Top_miim_busy_ch3_o
        .QSGMII_Top_mdc_ch3_o(QSGMII_Top_mdc_ch3_o_o), //output QSGMII_Top_mdc_ch3_o
        .QSGMII_Top_mdio_out_ch3_o(QSGMII_Top_mdio_out_ch3_o_o), //output QSGMII_Top_mdio_out_ch3_o
        .QSGMII_Top_mdio_oen_ch3_o(QSGMII_Top_mdio_oen_ch3_o_o), //output QSGMII_Top_mdio_oen_ch3_o
        .QSGMII_Top_status_vector_ch3_o(QSGMII_Top_status_vector_ch3_o_o), //output [10:0] QSGMII_Top_status_vector_ch3_o
        .QSGMII_Top_link_partner_ability_base_ch3_o(QSGMII_Top_link_partner_ability_base_ch3_o_o), //output [15:0] QSGMII_Top_link_partner_ability_base_ch3_o
        .QSGMII_Top_clk_in_i(QSGMII_Top_clk_in_i_i), //input QSGMII_Top_clk_in_i
        .QSGMII_Top_rstn_i(QSGMII_Top_rstn_i_i), //input QSGMII_Top_rstn_i
        .QSGMII_Top_signal_detect_ch0_i(QSGMII_Top_signal_detect_ch0_i_i), //input QSGMII_Top_signal_detect_ch0_i
        .QSGMII_Top_sgmii_link_timer_ch0_i(QSGMII_Top_sgmii_link_timer_ch0_i_i), //input [8:0] QSGMII_Top_sgmii_link_timer_ch0_i
        .QSGMII_Top_sgmii_mode_ch0_i(QSGMII_Top_sgmii_mode_ch0_i_i), //input QSGMII_Top_sgmii_mode_ch0_i
        .QSGMII_Top_repeater_mode_ch0_i(QSGMII_Top_repeater_mode_ch0_i_i), //input QSGMII_Top_repeater_mode_ch0_i
        .QSGMII_Top_tx_mac_valid_ch0_i(QSGMII_Top_tx_mac_valid_ch0_i_i), //input QSGMII_Top_tx_mac_valid_ch0_i
        .QSGMII_Top_tx_mac_data_ch0_i(QSGMII_Top_tx_mac_data_ch0_i_i), //input [7:0] QSGMII_Top_tx_mac_data_ch0_i
        .QSGMII_Top_tx_mac_last_ch0_i(QSGMII_Top_tx_mac_last_ch0_i_i), //input QSGMII_Top_tx_mac_last_ch0_i
        .QSGMII_Top_tx_mac_error_ch0_i(QSGMII_Top_tx_mac_error_ch0_i_i), //input QSGMII_Top_tx_mac_error_ch0_i
        .QSGMII_Top_rx_fcs_fwd_ena_ch0_i(QSGMII_Top_rx_fcs_fwd_ena_ch0_i_i), //input QSGMII_Top_rx_fcs_fwd_ena_ch0_i
        .QSGMII_Top_rx_jumbo_ena_ch0_i(QSGMII_Top_rx_jumbo_ena_ch0_i_i), //input QSGMII_Top_rx_jumbo_ena_ch0_i
        .QSGMII_Top_tx_pause_req_ch0_i(QSGMII_Top_tx_pause_req_ch0_i_i), //input QSGMII_Top_tx_pause_req_ch0_i
        .QSGMII_Top_tx_pause_val_ch0_i(QSGMII_Top_tx_pause_val_ch0_i_i), //input [15:0] QSGMII_Top_tx_pause_val_ch0_i
        .QSGMII_Top_tx_pause_source_addr_ch0_i(QSGMII_Top_tx_pause_source_addr_ch0_i_i), //input [47:0] QSGMII_Top_tx_pause_source_addr_ch0_i
        .QSGMII_Top_tx_ifg_delay_ena_ch0_i(QSGMII_Top_tx_ifg_delay_ena_ch0_i_i), //input QSGMII_Top_tx_ifg_delay_ena_ch0_i
        .QSGMII_Top_tx_ifg_delay_ch0_i(QSGMII_Top_tx_ifg_delay_ch0_i_i), //input [7:0] QSGMII_Top_tx_ifg_delay_ch0_i
        .QSGMII_Top_tx_fcs_fwd_ena_ch0_i(QSGMII_Top_tx_fcs_fwd_ena_ch0_i_i), //input QSGMII_Top_tx_fcs_fwd_ena_ch0_i
        .QSGMII_Top_miim_hs_clk_ch0_i(QSGMII_Top_miim_hs_clk_ch0_i_i), //input QSGMII_Top_miim_hs_clk_ch0_i
        .QSGMII_Top_miim_phyad_ch0_i(QSGMII_Top_miim_phyad_ch0_i_i), //input [4:0] QSGMII_Top_miim_phyad_ch0_i
        .QSGMII_Top_miim_regad_ch0_i(QSGMII_Top_miim_regad_ch0_i_i), //input [4:0] QSGMII_Top_miim_regad_ch0_i
        .QSGMII_Top_miim_wrdata_ch0_i(QSGMII_Top_miim_wrdata_ch0_i_i), //input [15:0] QSGMII_Top_miim_wrdata_ch0_i
        .QSGMII_Top_miim_wren_ch0_i(QSGMII_Top_miim_wren_ch0_i_i), //input QSGMII_Top_miim_wren_ch0_i
        .QSGMII_Top_miim_rden_ch0_i(QSGMII_Top_miim_rden_ch0_i_i), //input QSGMII_Top_miim_rden_ch0_i
        .QSGMII_Top_mdio_in_ch0_i(QSGMII_Top_mdio_in_ch0_i_i), //input QSGMII_Top_mdio_in_ch0_i
        .QSGMII_Top_configuration_vector_ch0_i(QSGMII_Top_configuration_vector_ch0_i_i), //input [14:0] QSGMII_Top_configuration_vector_ch0_i
        .QSGMII_Top_signal_detect_ch1_i(QSGMII_Top_signal_detect_ch1_i_i), //input QSGMII_Top_signal_detect_ch1_i
        .QSGMII_Top_sgmii_link_timer_ch1_i(QSGMII_Top_sgmii_link_timer_ch1_i_i), //input [8:0] QSGMII_Top_sgmii_link_timer_ch1_i
        .QSGMII_Top_sgmii_mode_ch1_i(QSGMII_Top_sgmii_mode_ch1_i_i), //input QSGMII_Top_sgmii_mode_ch1_i
        .QSGMII_Top_repeater_mode_ch1_i(QSGMII_Top_repeater_mode_ch1_i_i), //input QSGMII_Top_repeater_mode_ch1_i
        .QSGMII_Top_tx_mac_valid_ch1_i(QSGMII_Top_tx_mac_valid_ch1_i_i), //input QSGMII_Top_tx_mac_valid_ch1_i
        .QSGMII_Top_tx_mac_data_ch1_i(QSGMII_Top_tx_mac_data_ch1_i_i), //input [7:0] QSGMII_Top_tx_mac_data_ch1_i
        .QSGMII_Top_tx_mac_last_ch1_i(QSGMII_Top_tx_mac_last_ch1_i_i), //input QSGMII_Top_tx_mac_last_ch1_i
        .QSGMII_Top_tx_mac_error_ch1_i(QSGMII_Top_tx_mac_error_ch1_i_i), //input QSGMII_Top_tx_mac_error_ch1_i
        .QSGMII_Top_rx_fcs_fwd_ena_ch1_i(QSGMII_Top_rx_fcs_fwd_ena_ch1_i_i), //input QSGMII_Top_rx_fcs_fwd_ena_ch1_i
        .QSGMII_Top_rx_jumbo_ena_ch1_i(QSGMII_Top_rx_jumbo_ena_ch1_i_i), //input QSGMII_Top_rx_jumbo_ena_ch1_i
        .QSGMII_Top_tx_pause_req_ch1_i(QSGMII_Top_tx_pause_req_ch1_i_i), //input QSGMII_Top_tx_pause_req_ch1_i
        .QSGMII_Top_tx_pause_val_ch1_i(QSGMII_Top_tx_pause_val_ch1_i_i), //input [15:0] QSGMII_Top_tx_pause_val_ch1_i
        .QSGMII_Top_tx_pause_source_addr_ch1_i(QSGMII_Top_tx_pause_source_addr_ch1_i_i), //input [47:0] QSGMII_Top_tx_pause_source_addr_ch1_i
        .QSGMII_Top_tx_ifg_delay_ena_ch1_i(QSGMII_Top_tx_ifg_delay_ena_ch1_i_i), //input QSGMII_Top_tx_ifg_delay_ena_ch1_i
        .QSGMII_Top_tx_ifg_delay_ch1_i(QSGMII_Top_tx_ifg_delay_ch1_i_i), //input [7:0] QSGMII_Top_tx_ifg_delay_ch1_i
        .QSGMII_Top_tx_fcs_fwd_ena_ch1_i(QSGMII_Top_tx_fcs_fwd_ena_ch1_i_i), //input QSGMII_Top_tx_fcs_fwd_ena_ch1_i
        .QSGMII_Top_miim_hs_clk_ch1_i(QSGMII_Top_miim_hs_clk_ch1_i_i), //input QSGMII_Top_miim_hs_clk_ch1_i
        .QSGMII_Top_miim_phyad_ch1_i(QSGMII_Top_miim_phyad_ch1_i_i), //input [4:0] QSGMII_Top_miim_phyad_ch1_i
        .QSGMII_Top_miim_regad_ch1_i(QSGMII_Top_miim_regad_ch1_i_i), //input [4:0] QSGMII_Top_miim_regad_ch1_i
        .QSGMII_Top_miim_wrdata_ch1_i(QSGMII_Top_miim_wrdata_ch1_i_i), //input [15:0] QSGMII_Top_miim_wrdata_ch1_i
        .QSGMII_Top_miim_wren_ch1_i(QSGMII_Top_miim_wren_ch1_i_i), //input QSGMII_Top_miim_wren_ch1_i
        .QSGMII_Top_miim_rden_ch1_i(QSGMII_Top_miim_rden_ch1_i_i), //input QSGMII_Top_miim_rden_ch1_i
        .QSGMII_Top_mdio_in_ch1_i(QSGMII_Top_mdio_in_ch1_i_i), //input QSGMII_Top_mdio_in_ch1_i
        .QSGMII_Top_configuration_vector_ch1_i(QSGMII_Top_configuration_vector_ch1_i_i), //input [14:0] QSGMII_Top_configuration_vector_ch1_i
        .QSGMII_Top_signal_detect_ch2_i(QSGMII_Top_signal_detect_ch2_i_i), //input QSGMII_Top_signal_detect_ch2_i
        .QSGMII_Top_sgmii_link_timer_ch2_i(QSGMII_Top_sgmii_link_timer_ch2_i_i), //input [8:0] QSGMII_Top_sgmii_link_timer_ch2_i
        .QSGMII_Top_sgmii_mode_ch2_i(QSGMII_Top_sgmii_mode_ch2_i_i), //input QSGMII_Top_sgmii_mode_ch2_i
        .QSGMII_Top_repeater_mode_ch2_i(QSGMII_Top_repeater_mode_ch2_i_i), //input QSGMII_Top_repeater_mode_ch2_i
        .QSGMII_Top_tx_mac_valid_ch2_i(QSGMII_Top_tx_mac_valid_ch2_i_i), //input QSGMII_Top_tx_mac_valid_ch2_i
        .QSGMII_Top_tx_mac_data_ch2_i(QSGMII_Top_tx_mac_data_ch2_i_i), //input [7:0] QSGMII_Top_tx_mac_data_ch2_i
        .QSGMII_Top_tx_mac_last_ch2_i(QSGMII_Top_tx_mac_last_ch2_i_i), //input QSGMII_Top_tx_mac_last_ch2_i
        .QSGMII_Top_tx_mac_error_ch2_i(QSGMII_Top_tx_mac_error_ch2_i_i), //input QSGMII_Top_tx_mac_error_ch2_i
        .QSGMII_Top_rx_fcs_fwd_ena_ch2_i(QSGMII_Top_rx_fcs_fwd_ena_ch2_i_i), //input QSGMII_Top_rx_fcs_fwd_ena_ch2_i
        .QSGMII_Top_rx_jumbo_ena_ch2_i(QSGMII_Top_rx_jumbo_ena_ch2_i_i), //input QSGMII_Top_rx_jumbo_ena_ch2_i
        .QSGMII_Top_tx_pause_req_ch2_i(QSGMII_Top_tx_pause_req_ch2_i_i), //input QSGMII_Top_tx_pause_req_ch2_i
        .QSGMII_Top_tx_pause_val_ch2_i(QSGMII_Top_tx_pause_val_ch2_i_i), //input [15:0] QSGMII_Top_tx_pause_val_ch2_i
        .QSGMII_Top_tx_pause_source_addr_ch2_i(QSGMII_Top_tx_pause_source_addr_ch2_i_i), //input [47:0] QSGMII_Top_tx_pause_source_addr_ch2_i
        .QSGMII_Top_tx_ifg_delay_ena_ch2_i(QSGMII_Top_tx_ifg_delay_ena_ch2_i_i), //input QSGMII_Top_tx_ifg_delay_ena_ch2_i
        .QSGMII_Top_tx_ifg_delay_ch2_i(QSGMII_Top_tx_ifg_delay_ch2_i_i), //input [7:0] QSGMII_Top_tx_ifg_delay_ch2_i
        .QSGMII_Top_tx_fcs_fwd_ena_ch2_i(QSGMII_Top_tx_fcs_fwd_ena_ch2_i_i), //input QSGMII_Top_tx_fcs_fwd_ena_ch2_i
        .QSGMII_Top_miim_hs_clk_ch2_i(QSGMII_Top_miim_hs_clk_ch2_i_i), //input QSGMII_Top_miim_hs_clk_ch2_i
        .QSGMII_Top_miim_phyad_ch2_i(QSGMII_Top_miim_phyad_ch2_i_i), //input [4:0] QSGMII_Top_miim_phyad_ch2_i
        .QSGMII_Top_miim_regad_ch2_i(QSGMII_Top_miim_regad_ch2_i_i), //input [4:0] QSGMII_Top_miim_regad_ch2_i
        .QSGMII_Top_miim_wrdata_ch2_i(QSGMII_Top_miim_wrdata_ch2_i_i), //input [15:0] QSGMII_Top_miim_wrdata_ch2_i
        .QSGMII_Top_miim_wren_ch2_i(QSGMII_Top_miim_wren_ch2_i_i), //input QSGMII_Top_miim_wren_ch2_i
        .QSGMII_Top_miim_rden_ch2_i(QSGMII_Top_miim_rden_ch2_i_i), //input QSGMII_Top_miim_rden_ch2_i
        .QSGMII_Top_mdio_in_ch2_i(QSGMII_Top_mdio_in_ch2_i_i), //input QSGMII_Top_mdio_in_ch2_i
        .QSGMII_Top_configuration_vector_ch2_i(QSGMII_Top_configuration_vector_ch2_i_i), //input [14:0] QSGMII_Top_configuration_vector_ch2_i
        .QSGMII_Top_signal_detect_ch3_i(QSGMII_Top_signal_detect_ch3_i_i), //input QSGMII_Top_signal_detect_ch3_i
        .QSGMII_Top_sgmii_link_timer_ch3_i(QSGMII_Top_sgmii_link_timer_ch3_i_i), //input [8:0] QSGMII_Top_sgmii_link_timer_ch3_i
        .QSGMII_Top_sgmii_mode_ch3_i(QSGMII_Top_sgmii_mode_ch3_i_i), //input QSGMII_Top_sgmii_mode_ch3_i
        .QSGMII_Top_repeater_mode_ch3_i(QSGMII_Top_repeater_mode_ch3_i_i), //input QSGMII_Top_repeater_mode_ch3_i
        .QSGMII_Top_tx_mac_valid_ch3_i(QSGMII_Top_tx_mac_valid_ch3_i_i), //input QSGMII_Top_tx_mac_valid_ch3_i
        .QSGMII_Top_tx_mac_data_ch3_i(QSGMII_Top_tx_mac_data_ch3_i_i), //input [7:0] QSGMII_Top_tx_mac_data_ch3_i
        .QSGMII_Top_tx_mac_last_ch3_i(QSGMII_Top_tx_mac_last_ch3_i_i), //input QSGMII_Top_tx_mac_last_ch3_i
        .QSGMII_Top_tx_mac_error_ch3_i(QSGMII_Top_tx_mac_error_ch3_i_i), //input QSGMII_Top_tx_mac_error_ch3_i
        .QSGMII_Top_rx_fcs_fwd_ena_ch3_i(QSGMII_Top_rx_fcs_fwd_ena_ch3_i_i), //input QSGMII_Top_rx_fcs_fwd_ena_ch3_i
        .QSGMII_Top_rx_jumbo_ena_ch3_i(QSGMII_Top_rx_jumbo_ena_ch3_i_i), //input QSGMII_Top_rx_jumbo_ena_ch3_i
        .QSGMII_Top_tx_pause_req_ch3_i(QSGMII_Top_tx_pause_req_ch3_i_i), //input QSGMII_Top_tx_pause_req_ch3_i
        .QSGMII_Top_tx_pause_val_ch3_i(QSGMII_Top_tx_pause_val_ch3_i_i), //input [15:0] QSGMII_Top_tx_pause_val_ch3_i
        .QSGMII_Top_tx_pause_source_addr_ch3_i(QSGMII_Top_tx_pause_source_addr_ch3_i_i), //input [47:0] QSGMII_Top_tx_pause_source_addr_ch3_i
        .QSGMII_Top_tx_ifg_delay_ena_ch3_i(QSGMII_Top_tx_ifg_delay_ena_ch3_i_i), //input QSGMII_Top_tx_ifg_delay_ena_ch3_i
        .QSGMII_Top_tx_ifg_delay_ch3_i(QSGMII_Top_tx_ifg_delay_ch3_i_i), //input [7:0] QSGMII_Top_tx_ifg_delay_ch3_i
        .QSGMII_Top_tx_fcs_fwd_ena_ch3_i(QSGMII_Top_tx_fcs_fwd_ena_ch3_i_i), //input QSGMII_Top_tx_fcs_fwd_ena_ch3_i
        .QSGMII_Top_miim_hs_clk_ch3_i(QSGMII_Top_miim_hs_clk_ch3_i_i), //input QSGMII_Top_miim_hs_clk_ch3_i
        .QSGMII_Top_miim_phyad_ch3_i(QSGMII_Top_miim_phyad_ch3_i_i), //input [4:0] QSGMII_Top_miim_phyad_ch3_i
        .QSGMII_Top_miim_regad_ch3_i(QSGMII_Top_miim_regad_ch3_i_i), //input [4:0] QSGMII_Top_miim_regad_ch3_i
        .QSGMII_Top_miim_wrdata_ch3_i(QSGMII_Top_miim_wrdata_ch3_i_i), //input [15:0] QSGMII_Top_miim_wrdata_ch3_i
        .QSGMII_Top_miim_wren_ch3_i(QSGMII_Top_miim_wren_ch3_i_i), //input QSGMII_Top_miim_wren_ch3_i
        .QSGMII_Top_miim_rden_ch3_i(QSGMII_Top_miim_rden_ch3_i_i), //input QSGMII_Top_miim_rden_ch3_i
        .QSGMII_Top_mdio_in_ch3_i(QSGMII_Top_mdio_in_ch3_i_i), //input QSGMII_Top_mdio_in_ch3_i
        .QSGMII_Top_configuration_vector_ch3_i(QSGMII_Top_configuration_vector_ch3_i_i) //input [14:0] QSGMII_Top_configuration_vector_ch3_i
    );

//--------Copy end-------------------
